# Generated from bridge_blueprint-0.0.8.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bridge_blueprint

Name: rubygem-%{gem_name}
Version: 0.0.8
Release: 1%{?dist}
Summary: Bridge Blueprint
License: MIT
URL: https://getbridge.com
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(byebug) >= 8.2.2
# BuildRequires: rubygem(byebug) < 8.3
# BuildRequires: rubygem(pry)
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(rspec) >= 2.6
# BuildRequires: rubygem(rspec) < 3
# BuildRequires: rubygem(rubocop) >= 0.54.0
# BuildRequires: rubygem(rubocop) < 0.55
# BuildRequires: rubygem(simplecov) >= 0.16.1
# BuildRequires: rubygem(simplecov) < 0.17
# BuildRequires: rubygem(sinatra) >= 1.0
# BuildRequires: rubygem(sinatra) < 2
# BuildRequires: rubygem(tilt) >= 1.3
# BuildRequires: rubygem(tilt) < 2
# BuildRequires: rubygem(tilt) >= 1.3.4
# BuildRequires: rubygem(webmock) >= 2.3.1
# BuildRequires: rubygem(webmock) < 2.4
BuildArch: noarch

%description
Tools for consuming bridge data dumps.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.rubocop.yml
%{gem_instdir}/.ruby-version
%{gem_instdir}/.simplecov
%{gem_instdir}/Dockerfile
%{gem_instdir}/bin
%{gem_instdir}/build.sh
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.rdoc
%{gem_instdir}/bridge_blueprint.gemspec
%doc %{gem_instdir}/docker-compose.yml
%{gem_instdir}/spec

%changelog
* Sun Sep 12 2021 mockbuilder - 0.0.8-1
- Initial package
